package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小程序党建福利信息对象 welfare_guide
 * 
 * @author ruoyi
 * @date 2022-07-14
 */
public class WelfareGuide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String welfareTitle;

    /** 福利简介 */
    @Excel(name = "福利简介")
    private String welfareProfile;

    /** 福利内容 */
    private String welfareContent;

    /** 图片地址 */
    private String photoPath;

    /** 状态（0正常 1关闭） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWelfareTitle(String welfareTitle) 
    {
        this.welfareTitle = welfareTitle;
    }

    public String getWelfareTitle() 
    {
        return welfareTitle;
    }
    public void setWelfareProfile(String welfareProfile) 
    {
        this.welfareProfile = welfareProfile;
    }

    public String getWelfareProfile() 
    {
        return welfareProfile;
    }
    public void setWelfareContent(String welfareContent) 
    {
        this.welfareContent = welfareContent;
    }

    public String getWelfareContent() 
    {
        return welfareContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public void setPhotoPath(String photoPath) {
        this.photoPath = photoPath;
    }

    public String getPhotoPath() {
        return photoPath;
    }

    @Override
    public String toString() {
        return "WelfareGuide{" +
                "id=" + id +
                ", welfareTitle='" + welfareTitle + '\'' +
                ", welfareProfile='" + welfareProfile + '\'' +
                ", welfareContent='" + welfareContent + '\'' +
                ", photoPath='" + photoPath + '\'' +
                ", status='" + status + '\'' +
                '}';
    }
}
